package org.dromara.system.api;

import jakarta.validation.constraints.NotNull;
import org.dromara.system.api.domain.vo.RemoteProjectVo;

import java.util.List;

/**
 * @author lilemy
 * @date 2025-09-10 16:15
 */
public interface RemoteProjectService {

    /**
     * 通过项目ID查询项目名称
     *
     * @param projectId 项目ID
     * @return 项目名称
     */
    String selectProjectNameById(Long projectId);

    /**
     *校验用户是否拥有操作项目的权限
     * @param projectId
     * @param userId
     */
    void validAuth(Long projectId, Long userId);

    /**
     * 判断项目是否存在
     * @param projectId
     * @return
     */
    RemoteProjectVo getById(Long projectId);

    void validAuth(List<Long> projectIdList, Long userId);
}
